thrift-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jens Geyer <jensge...@hotmail.com>
Subject Re: backward compatibility
Date Tue, 02 Oct 2018 10:47:29 GMT
Hi Gianni,

the wire formats change very seldom, and that's what counts here. Connecting 
a 0.9.x with a 0.11 should not be a problem, IIRC.

If we know more about how the protocol/transport stack looks like and the 
languages involved, we could give more specific advice.

Have fun,
JensG

-----Urspr√ľngliche Nachricht----- 
From: Gianni Ambrosio
Sent: Tuesday, October 2, 2018 12:39 PM
To: user@thrift.apache.org
Subject: backward compatibility

Dear All,
I didn't found an official place to understanding the rules of thrift
backward compatibility.
I implemented an application that works fine with thrift 0.11.0. Now I
need to implement some calls to an older server build with thrift 0.9.1.
Can I use different versions of thrift in the client with respect to
server? Is there a backward compatibility guaranteed by thrift?

Regards,
Gianni 

Mime
View raw message